package com.ywt.mg.domain.models.enums;

public enum AuditStatusEnum {
    Pending("待审核", 0),
    Approved("审核通过", 1),
    Rejected("审核不通过", 2),
    UNKNOWN("",-1);
    private final String displayName;

    private final int value;

    AuditStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static AuditStatusEnum valueOf (int value){
        switch (value){
            case 0:
                return Pending;
            case 1:
                return Approved;
            case 2:
                return Rejected;
            default :
                return UNKNOWN;
        }
    }

}